<?php
	// LiteDoodle version 0.1 (C) 2008 V.Harishankar
	// Lightweight Comics/Images Blogging system

	// Main index file
	
	// Define
	define ('IN_MAIN', 'inmain');

	require_once ('config.php');
	require_once ('functions.php');

	$comics = get_comics_list ();
	$ids = array_keys ($comics);
	$num_ids = count ($ids);

	// first and latest comic
	$latest = $comics[$ids[$num_ids - 1]];
	$first = $comics[$ids[0]];
	
	// Get the current cartoon
	if (isset ($_GET['id']))
	{
		$curr = $comics[strval($_GET['id'])];
		$current_id = array_search ($curr['name'], $ids);
		
		// get previous cartoon if exists
		if ($current_id > 0)
		{
			$prev_id = $current_id - 1;
			$prev = $comics[$ids[$prev_id]];
		}
		// get the next cartoon if exists
		if ($current_id < ($num_ids - 1))
		{
			$next_id = $current_id + 1;
			$next = $comics[$ids[$next_id]];
		}
	}
	// Get the latest comic ID
	else
	{
		$curr = $comics[$ids[$num_ids - 1]];
		if (($num_ids - 1) > 0)
			$prev = $comics[$ids[$num_ids - 2]];
	}
?>
<?php	// set page title
	$page_title = $curr['title'] . ' - ' . SITE_TITLE;
	// show header
	include ('header.php'); ?>
		<div id="content">
			<p class="navigation">
				<a href="index.php?id=<?php echo $first['name'] ?>">&#171; First</a>
			<?php if (isset ($prev)) { ?>
			&#8212;
				<a href="index.php?id=<?php echo $prev['name'] ?>">Previous</a>
			<?php } ?>
			<?php if (isset ($next)) { ?>
			&#8212;
				<a href="index.php?id=<?php echo $next['name'] ?>">Next</a>
			<?php } ?>
			&#8212;
				<a href="index.php?id=<?php echo $latest['name'] ?>">Latest  &#187;</a>
			</p>

			<h2><a href="index.php?id=<?php echo $curr['name'] ?>"><?php echo $curr['title'] ?></a></h2>
			<p class="created">Created/modified on <?php echo date (DATE_FORMAT, $curr['mtime']) ?>
			<?php if (COMMENTS_ENABLED) { ?>| <a href="#postcomment">Submit a comment</a><?php } ?>
			</p>

			<div class="imageclass">
			<img src="<?php echo COMICS_DIR . $curr['name'] ?>" alt="<?php echo $curr['title']?>" title="<?php echo $curr['title']?>" />
			</div>
			<div class="descclass">
			<?php echo get_comic_description ($curr['name']); ?>
			</div>

			<?php	// Get the comments
				$comments = read_comments ($curr['name']);
				$num_comments = count ($comments);
				if ($num_comments > 0) { ?>
				<div class="commentbox">
					<h3><?php echo $num_comments ?> Comment(s)</h3>
					<ol>
					<?php foreach ($comments as $comment) { ?>
					<li>	<a name="comment-<?php echo $comment['time']?>"></a>
						<?php echo $comment['comment'] ?><br />
						<span class="commenterdetails">Comment by <?php echo $comment['name'] ?> at <?php echo date (DATE_FORMAT, $comment['time'])?> | <a href="index.php?id=<?php echo $curr['name'] ?>#comment-<?php echo $comment['time']?>">#</a></span>
					</li>
				<?php 	} ?>
					</ol>
				</div>
				<?php
				} ?>
					
				
			<?php	// Is the comments form enabled for this blog? Then display comment form
				if (COMMENTS_ENABLED) { ?>
				<a name="postcomment"></a>
				<form action="comment.php?id=<?php echo $curr['name'] ?>" method="post" enctype="multipart/form-data">
				<table class="commentform">
					<thead>
					<tr>
						<td colspan="2"><h3>Submit a comment</h3></td>
					</tr>
					</thead>
					<tbody>
					<tr>
						<td  style="width:40%;">Your name (required)</td>
						<td><input class="textbox" type="text" name="commentname" /></td>
					</tr>
					<tr>
						<td>E-Mail (required)</td>
						<td><input class="textbox" type="text" name="email" /></td>
					</tr>
					<tr>
						<td>Website</td>
						<td><input class="textbox" type="text" name="website" value="http://" /></td>
					</tr>
					<tr>
						<td>Comment (No HTML)</td>
						<td><textarea class="textareabox" name="comment" cols="15" rows="4"></textarea></td>
					</tr>
					<tr>
						<?php
							$antispam_id = rand (0, count ($GLOBALS['questions']) - 1);
						?>
						<td><?php echo $GLOBALS['questions'][$antispam_id]; ?>
						<input type="hidden" name="antispamid" value="<?php echo $antispam_id ?>" />
						</td>
						<td><input class="textbox" type="text" name="antispam" value="" /></td>
					</tr>					
					<tr>
						<td></td>
						<td><input class="button" type="submit" value="Submit" />&nbsp;
						<input class="button" type="reset" value="Reset"  />
						</td>
					</tr>
					</tbody>
				</table>
				</form>

			<?php } ?>		
		</div>
<?php include ('footer.php'); ?>